| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csMemoryMappedIO Member List

This is the complete list of members for csMemoryMappedIO, including all inherited members.

csMemoryMappedIO(char const *filename, iVFS *vfs=0) | csMemoryMappedIO |
csRefCount() | csRefCount | `[inline]`
DecRef() | csRefCount | `[inline]`
Delete() | csRefCount | `[inline, protected, virtual]`
GetData(size_t offset, size_t length) | csMemoryMappedIO |
GetRefCount() const | csRefCount | `[inline]`
IncRef() | csRefCount | `[inline]`
IsValid() | csMemoryMappedIO |
PlatformMapping | csMemoryMappedIO | `[friend]`
ref_count | csRefCount | `[protected]`
~csMemoryMappedIO() | csMemoryMappedIO | `[virtual]`
~csRefCount() | csRefCount | `[inline, protected, virtual]`